/* 
** openurl.library - universal URL display and browser launcher library
** Written by Troels Walsted Hansen <troels@thule.no>
** Placed in the public domain.
**
** Common include file for all library modules.
*/

#define __USE_SYSBASE
#include <proto/exec.h>

#include <clib/dos_protos.h>
#include <clib/utility_protos.h>
#include <clib/intuition_protos.h>
#include <clib/iffparse_protos.h>
#include <clib/rexxsyslib_protos.h>
#include <clib/openurl_protos.h>

#include <pragmas/dos_pragmas.h>
#include <pragmas/utility_pragmas.h>
#include <pragmas/intuition_pragmas.h>
#include <pragmas/iffparse_pragmas.h>
#include <pragmas/rexxsyslib_pragmas.h>
#include <pragmas/openurl_pragmas.h>

#include <exec/execbase.h>
#include <exec/memory.h>
#include <dos/dostags.h>
#include <libraries/iffparse.h>
#include <prefs/prefhdr.h>
#include <rexx/errors.h>
#include <rexx/storage.h>
#include <libraries/openurl.h>

#include <string.h>
#include <ctype.h>

/**************************************************************************
*
* Prototypes.
*
*/

extern void kprintf(const char *, ...);

/**************************************************************************
*
* Definitions.
*
*/

#define REG(x) register __ ## x
#define LIB __saveds __asm
#define ASM __asm
