/* 
** openurl.library - universal URL display and browser launcher library
** Written by Troels Walsted Hansen <troels@thule.no>
** Placed in the public domain.
**
** Include file for prefs library functions.
*/

/**************************************************************************
*
* Definitions.
*
*/

#define PREFS_VERSION ((UBYTE)3)
#define PREFS_NAME_USE  "ENV:OpenURL.prefs"
#define PREFS_NAME_SAVE "ENVARC:OpenURL.prefs"

/**************************************************************************
*
* Prototypes.
*
*/

struct URL_Prefs *CopyPrefs(struct URL_Prefs *old_p);
BOOL SavePrefs(STRPTR filename, struct URL_Prefs *up);
BOOL LoadPrefs(STRPTR filename);
BOOL SetDefaultPrefsV1(struct URL_Prefs *up);
VOID SetDefaultPrefsV2(struct URL_Prefs *up);
BOOL SetDefaultPrefsV3(struct URL_Prefs *up);
VOID ConvertPrefsV2toV3(struct URL_Prefs *up);
