/* 
** openurl.library - universal URL display and browser launcher library
** Written by Troels Walsted Hansen <troels@thule.no>
** Placed in the public domain.
**
** Include file for utility library functions.
*/

/**************************************************************************
*
* Prototypes.
*
*/

BOOL SendToBrowser(STRPTR url, struct List *portlist, struct MsgPort *mp, 
                   BOOL Show, BOOL ToFront, BOOL NewWindow, BOOL Launch);
BOOL SendToMailer(STRPTR url, struct List *portlist, struct MsgPort *mp, 
                  BOOL Show, BOOL ToFront, BOOL Launch);
BOOL CopyList(struct List *dst, struct List *src, ULONG size);
VOID FreeList(struct List *list, ULONG size);
BOOL isdigits(STRPTR str);
VOID SPrintf(STRPTR to, STRPTR fmt, ...);
