/*
** OpenURL - MUI preferences for openurl.library
** Written by Troels Walsted Hansen <troels@thule.no>
** Placed in the public domain.
**
** Methods, attributes, dispatcher and instance data definitions for the
** MailerEditWin Window.mui subclass.
*/

/**************************************************************************/

#define MUIA_MailerEditWin_Mailer                 (TAGBASE_MAILEREDITWIN + 0) /* [I.G] struct URL_MailerNode * */
#define MUIA_MailerEditWin_ListObj                (TAGBASE_MAILEREDITWIN + 1) /* [I..] Object *                 */

#define MUIM_MailerEditWin_Ok                     (TAGBASE_MAILEREDITWIN + 25)

struct MUIP_MailerEditWin_Ok                      { ULONG MethodID; };

/**************************************************************************/

SAVEDS ASM ULONG MailerEditWin_Dispatcher(REG(a0) struct IClass *cl, REG(a2) Object *obj, REG(a1) Msg msg);

/**************************************************************************/

struct MailerEditWin_Data
{
	struct URL_MailerNode *Mailer;
	struct Hook ObjStrHook;
	Object *MailerLstObj;

	Object *InfoGrpObj;
	Object *NameStrObj;
	Object *PathPopObj;
	Object *PortStrObj;

	Object *CmdGrpObj;
	Object *ShowStrObj;
	Object *ToFrontStrObj;
	Object *WriteMailPopObj;

	Object *OkButObj;
	Object *CancelButObj;

	ULONG   NotifiesAdded;
};
